mfsstatsdump(8)

NAME
mfsstatsdump - dump usage data from master stats file in csv or png format

SYNOPSIS
mfsstatsdump -f fields [-i stats_file] [-r range] [-s separator] [-p png_filename [-x chart_width] [-y chart_height]] [-hHd]

DESCRIPTION
mfsstatsdump dumps usage data from master stats file. These are the same data sets that are used to make CGI charts. Output can be either in text format (csv) or in graphical format (png). That means -p, -x and -y options are mutually exclusive with -h, -H and -d options.

MooseFS master server saves the stats file in the DATA_PATH directory - see mfsmaster.cfg(5)

OPTIONS

-f  field names separated by ',' (see FIELDS section); at least one field is mandatory; if an asterisk (*) is used, all fields are dumped

-i  name of mfs binary stats file (default: default_data_path/stats.mfs)

-r  range type: 0 - short range (minute) 1 - medium range (6 minutes) 2 - long range (30 minutes) 3 - very long range (day)

-s  specify column separator (default: tabulator)

-p  optional PNG filename (field name will be added before .png; YYYY -> YYYY_FIELD.png, YYYY.png -> YYYY_FIELD.png)

-x  PNG chart width (default: 1600)

-y  PNG chart height (should be divisible by 20 - if not then it will be adjusted; default:320)

-h  "human-readable" numbers using base 2 prefixes (IEC 60027)

-H  "human-readable" numbers using base 10 prefixes (SI)

-d  show timestamps in YYYY-MM-DD HH:MM format

FIELDS

ucpu
    User cpu usage

scpu
    System cpu usage

cpu Total cpu usage (in csv sum of scpu and ucpu, in png shows both in different colors)

delete
    Number of chunk deletions

replicate
    Number of chunk replications

statfs
    Number of statfs operations

getattr
    Number of getattr operations

setattr
    Number of setattr operations

lookup
    Number of lookup operations

mkdir
    Number of mkdir operations

rmdir
    Number of rmdir operations

symlink
    Number of symlink operations

readlink
    Number of readlink operations

mknod
    Number of mknod operations

unlink
    Number of unlink operations

rename
    Number of rename operations

link
    Number of link operations

readdir
    Number of readdir operations

open
    Number of open operations

read
    Number of read operations

write
    Number of write operations

prcvd
    Received packets

psent
    Sent packets

brcvd
    Received bytes

bsent
    Sent bytes

memoryrss
    Resident memory usage

memoryvirt
    Virtual memory usage

mem Total memory usage (in csv is the same as memoryvirt, in png shows both memoryrss and memoryvirt using two colors)

usedspace
    Used raw disk space

totalspace
    Total raw disk space

space
    Total raw disk space (in csv the same as totalspace, in png shows both usedspace and totalspace using two colors)

OUTPUT
Text output - text (csv) file where first column is a timestamp (or date if -d option was specified), the following column are what was specified with the -f options, formatted according to used options (none, -s and -h or -H)

Graphical output - one png file with a chart is created for every field specified with the -f option, according to the naming scheme declared with the -p option. Size may be adjusted with -x and -y options.

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2020 Jakub Kruszona-Zawadzki, Core Technology Sp. z o.o. This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmount(8), moosefs(7)